DateTimeParseException (Java SE 11 & JDK 11 )
Keywords: java.time.format.DateTimeParseException class

Module java.base
Package java.time.format

## Class DateTimeParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.time.DateTimeException
        - - java.time.format.DateTimeParseException

- All Implemented Interfaces:
    `Serializable`

      public class DateTimeParseException
      extends DateTimeException

  An exception thrown when an error occurs during parsing.

  This exception includes the text being parsed and the error index.

  Implementation Requirements:
    This class is intended for use in a single thread.
  Since:
    1.8
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DateTimeParseException​(String message, CharSequence parsedData, int errorIndex)` | Constructs a new exception with the specified message.
    `DateTimeParseException​(String message, CharSequence parsedData, int errorIndex, Throwable cause)` | Constructs a new exception with the specified message and cause.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getErrorIndex()` | Returns the index where the error was found.
    `String` | `getParsedString()` | Returns the string that was being parsed.

    - ### Methods declared in class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DateTimeParseException

          public DateTimeParseException​(String message,
                                        CharSequence parsedData,
                                        int errorIndex)

      Constructs a new exception with the specified message.
      Parameters:
        `message` - the message to use for this exception, may be null
        `parsedData` - the parsed text, should not be null
        `errorIndex` - the index in the parsed string that was invalid, should be a valid index

    - #### DateTimeParseException

          public DateTimeParseException​(String message,
                                        CharSequence parsedData,
                                        int errorIndex,
                                        Throwable cause)

      Constructs a new exception with the specified message and cause.
      Parameters:
        `message` - the message to use for this exception, may be null
        `parsedData` - the parsed text, should not be null
        `errorIndex` - the index in the parsed string that was invalid, should be a valid index
        `cause` - the cause exception, may be null

  - ### Method Detail

    - #### getParsedString

          public String getParsedString()

      Returns the string that was being parsed.
      Returns:
        the string that was being parsed, should not be null.

    - #### getErrorIndex

          public int getErrorIndex()

      Returns the index where the error was found.
      Returns:
        the index in the parsed string that was invalid, should be a valid index